Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.stream
Class StreamSource

    java.lang.Object
      |
      +--javax.xml.transform.stream.StreamSource

All Implemented Interfaces:
  Source

public class StreamSource
extends java.lang.Object
implements Source

Source for an input stream.

Field Summary
`static java.lang.String` | `FEATURE` The feature name to tell if the transformer can handle stream input.

Constructor Summary
`StreamSource()` Zero-arg constructor.
`StreamSource(java.io.File file)` Create a StreamSource with a given java.io.File.
`StreamSource(java.io.InputStream is)` Create a StreamSource with a given InputStream.
`StreamSource(java.io.InputStream is, java.lang.String systemId)` Create a StreamSource with a given InputStream and system id (base URL).
`StreamSource(java.io.Reader reader)` Create a StreamSource with a given Reader.
`StreamSource(java.io.Reader reader, java.lang.String systemId)` Create a StreamSource with a given Reader.
`StreamSource(java.lang.String systemId)` Create a StreamSource from a given system id (URL)

Method Summary
`java.io.InputStream` | `getInputStream()` Returns the input stream.
`java.lang.String` | `getPublicId()` Returns the public identifier (URL).
`java.io.Reader` | `getReader()` Returns the reader.
`java.lang.String` | `getSystemId()` Returns the system identifier (URL).
`void` | `setInputStream(java.io.InputStream is)` Sets the input stream.
`void` | `setPublicId(java.lang.String publicId)` Sets the public identifier (URL).
`void` | `setReader(java.io.Reader reader)` Sets the reader.
`void` | `setSystemId(java.io.File file)` Sets the system identifier (URL) from a File.
`void` | `setSystemId(java.lang.String systemId)` Sets the system identifier (URL).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

  The feature name to tell if the transformer can handle stream input.

Constructor Detail

### StreamSource

    public StreamSource()

  Zero-arg constructor.

### StreamSource

    public StreamSource(java.io.File file)

  Create a StreamSource with a given java.io.File.
  Parameters:
    `file` - the source file for the parser.

### StreamSource

    public StreamSource(java.io.InputStream is)

  Create a StreamSource with a given InputStream.
  Parameters:
    `is` - the source stream.

### StreamSource

    public StreamSource(java.io.InputStream is,
                        java.lang.String systemId)

  Create a StreamSource with a given InputStream and system id (base URL).
  Parameters:
    `is` - the source stream.
    `systemId` - the base url of the stream.

### StreamSource

    public StreamSource(java.io.Reader reader)

  Create a StreamSource with a given Reader.
  Parameters:
    `reader` - the source reader.

### StreamSource

    public StreamSource(java.io.Reader reader,
                        java.lang.String systemId)

  Create a StreamSource with a given Reader.
  Parameters:
    `reader` - the source reader.

### StreamSource

    public StreamSource(java.lang.String systemId)

  Create a StreamSource from a given system id (URL)
  Parameters:
    `systemId` - the base url of the stream.

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Returns the input stream.

### setInputStream

    public void setInputStream(java.io.InputStream is)

  Sets the input stream.

### getReader

    public java.io.Reader getReader()

  Returns the reader.

### setReader

    public void setReader(java.io.Reader reader)

  Sets the reader.

### getSystemId

    public java.lang.String getSystemId()

  Returns the system identifier (URL).
  Specified by:
    `getSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Returns:
    the system id as a URL

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Sets the system identifier (URL).
  Specified by:
    `setSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Parameters:
    `systemId` - set the system id as a URL

### setSystemId

    public void setSystemId(java.io.File file)

  Sets the system identifier (URL) from a File.

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier (URL).

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Sets the public identifier (URL).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD